%global githash a6832f7a

Name:           uprof
Version:        0.3
Release:        0.14.20110115git%{githash}%{?dist}
Summary:        Profiling toolkit

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://git.moblin.org/cgit.cgi/uprof/
# Tarball generation:
# git clone git://git.moblin.org/uprof
# cd uprof
# git archive --format=tar --prefix=uprof-0.2/ %%{githash} | bzip2 > uprof-0.2-%%{githash}.tar.bz2
Source0:        %{name}-%{version}-%{githash}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel
BuildRequires:  gtk-doc
BuildRequires:  gnome-common
BuildRequires:  gnome-doc-utils
BuildRequires:  libtool
BuildRequires:  ncurses-devel
BuildRequires:  dbus-glib-devel

%description
An open source library providing a toolkit to assist in profiling
applications in a domain specific way and generating reports than can quickly
be digested and discussed.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
./autogen.sh
%configure --enable-gtk-doc --disable-static
#parallel build is broken
#make %{?_smp_mflags} V=1
make V=1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/uprof-tool
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc README
%{_includedir}/*
%{_libdir}/*.so
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/uprof/
%{_libdir}/pkgconfig/uprof-0.3.pc

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-0.14.20110115gita6832f7a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-0.13.20110115gita6832f7a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-0.12.20110115gita6832f7a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-0.11.20110115gita6832f7a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.10.20110115gita6832f7a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun May 17 2015 Kalev Lember <kalevlember@gmail.com> - 0.3-0.9.20110115gita6832f7a
- Don't depend on gtk-doc just for /usr/share/gtk-doc directory ownership

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.8.20110115gita6832f7a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.7.20110115gita6832f7a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.6.20110115gita6832f7a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.5.20110115gita6832f7a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.4.20110115gita6832f7a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.3.20110115gita6832f7a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.2.20110115gita6832f7a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Adel Gadllah <adel.gadllah@gmail.com> - 0.3-0.1.20110115gita6832f7a
- Update to 0.3

* Tue Aug 10 2010 Adel Gadllah <adel.gadllah@gmail.com> - 0.2-0.5.20100808gitb620fb7f9
- Buildrequire libtool

* Sun Aug 08 2010 Adel Gadllah <adel.gadllah@gmail.com> - 0.2-0.4.20100808gitb620fb7f9
- Add date to release tag

* Sun Aug 08 2010 Adel Gadllah <adel.gadllah@gmail.com> - 0.2-0.3.b620fb7f9
- Some other fixups as per review

* Mon Aug 02 2010 Adel Gadllah <adel.gadllah@gmail.com> - 0.2-0.2.b620fb7f9
- Spec file cleanups as per package review

* Sun Aug 01 2010 Adel Gadllah <adel.gadllah@gmail.com> - 0.2-0.1.b620fb7f9
- Initial release


